Subject: Re: linux-next: build failure after merge of the block tree

From: Jens Axboe <[email-masked]>
Date: Mon, 7 Nov 2016 20:28:08 -0700

On 11/07/2016 08:21 PM, Stephen Rothwell wrote:
> Hi Jens,
>
> After merging the block tree, today's linux-next build (arm
> multi_v7_defconfig) failed like this:
>
> block/blk-flush.c: In function 'flush_data_end_io':
> block/blk-flush.c:369:20: error: 'REQ_STARTED' undeclared (first use in this function)
>   rq->cmd_flags &= ~REQ_STARTED;
>                     ^
>
> Caused by commit
>
>   e806402130c9 ("block: split out request-only flags into a new namespace")
>
> interacting with commit
>
>   94d7dea448fa ("block: flush: fix IO hang in case of flood fua req")
>
> from Linus' tree (v4.9-rc3).
>
> I have applied the following merge fix patch for today (I don't know if
> this is correct, but it does build):

It's correct, it needs to be applied if merging with master. It will
throw a real conflict as well, but this one tends to fly under the radar
since it merges cleanly.

I'll merge master into my for-next so you don't have to carry extra
patches for this.

-- 
Jens Axboe